#!/bin/sh
#----------------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-install script for smartmon
#
# Copyright (c) 2004-2008 Jens Berger <jberger@gmx.net>
#               2017-2024 Marcus Roeckrath <marcus.roeckrath@gmx.de>
#
# Creation:     2004-09-02  jb
# Last Update:  2024-03-13  Marcus Roeckrath
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------------------

# including eislib
. /var/install/include/eislib

rm -f /var/smartmon_*
rm -f /etc/config.d/smartmon.install

smartmon_deinstallfile=/var/install/deinstall/smartmon

# deinstall old software
if [ -f $smartmon_deinstallfile ]
then
    installed_version=$(eisman check smartmon 1.6.0)
    if [ "$installed_version" = "new" ]
    then
        killall -9 smartd >/dev/null 2>/dev/null
        $smartmon_deinstallfile "update"
    fi
fi

# "eisman uninstall --update" is called automatically after exit

exit 0
